let tableIns;
let tree;
layui.use(['element', 'form', 'table', 'layer', 'laydate', 'tree', 'util'], function () {
    let table = layui.table;
    let form = layui.form;//select、单选、复选等依赖form
    //form自定义校验,使用在标签上lay-verify="phoneRequiredFalse"      非必填项验证：新增部分：(^$)|
    form.verify({
        positiveNumberRequiredTrue:[/^(([0-9]+[\.]?[0-9]+)|[1-9])$/,'只能填写正数'],//必填，且只能输入正数
        positiveWholeNumberRequiredTrue:[/^[+]{0,1}(\d+)$/,'只能填写正整数'],//必填，且只能输入正整数
    });
    let element = layui.element; //导航的hover效果、二级菜单等功能，需要依赖element模块
    let laydate = layui.laydate;
    tree = layui.tree;
    let height = document.documentElement.clientHeight*0.8; //随便设置下，和操作表单大概一样
    //用户列表
    tableIns = table.render({
        elem: '#seedConfigTable'
        , url: ctx + "/sys/sysProperty/findAllSeedConfig"
        , method: 'POST'
        , response: {
            statusName: 'flag' //规定数据状态的字段名称，默认：code
            , statusCode: true //规定成功的状态码，默认：0
            , msgName: 'msg' //规定状态信息的字段名称，默认：msg
            , countName: 'records' //规定数据总数的字段名称，默认：count
            , dataName: 'rows' //规定数据列表的字段名称，默认：data
        }
        //响应后数据处理
        , parseData: function (res) { //res 即为原始返回的数据
            let data = res.data;
            // console.log(res);
            return {
                "flag": res.flag, //解析接口状态
                "msg": res.msg, //解析提示文本
                "records": data.records, //解析数据长度
                "rows": data.rows //解析数据列表
            };
        }
        , toolbar: '#seedConfigTableToolbarDemo'
        , title: '种子列表'
        , cols: [[
             {field: 'id', title: 'ID', hide: true}
            ,{field: 'mallType', title: '商品类型', hide: true}
            , {field: 'picture', title: '图片名字', hide: true}
            , {field: 'name', title: '种子名字'}
            , {field: 'maturity', title: '成熟期(天)'}
            , {field: 'planting', title: '种植时间', hide: true}
            , {field: 'harvestId', title: '果实id', hide: true}
            , {field: 'harvestQuantity', title: '收获数量', hide: true}
            , {field: 'harvestCount', title: '收获次数', hide: true}
            , {field: 'harvest1', title: '3个月收获', hide: true}
            , {field: 'harvest2', title: '1年收获量'}
            , {field: 'harvest3', title: '5年收获量'}
            , {field: 'harvestName', title: '收获名字',hide:true}
            , {field: 'priceCnt', title: '售价(CNT)'}
            , {field: 'priceSnb', title: '售价(SNB)'}
            , {field: 'seedDescribe', title: '种子描述'}
            , {field: 'amount', title: '库存'}
            , {field: 'withered', title: '枯萎期',hide:true}
            , {field: 'createTime', title: '创建时间', hide: true}
            , {field: 'updateTime', title: '更新时间', hide: true}
            , {fixed: 'right', title: '操作', toolbar: '#seedConfigTableBarDemo'}
        ]]
        , defaultToolbar: ['', 'exports', 'print']
        , page: false
        , height: height
        , cellMinWidth: 80
    });

    //监听行工具事件
    table.on('tool(test)', function (obj) {
        let data = obj.data;
        //编辑
        if (obj.event === 'edit') {
            // console.log("edit");
            //回显操作表单
            $("#seedConfigForm").form(data);
            form.render();
        }
    });

    //监听提交
    form.on('submit(seedConfigFilter)', function (data) {
        // layer.alert(JSON.stringify(data.field), {
        //     title: '最终的提交信息'
        // })
        seedConfigSave();
    });
});

/**
 * 提交保存
 */
function seedConfigSave() {
    let seedConfigForm = $("#seedConfigForm").serializeObject();
    // console.log(seedConfigForm);
    if (!seedConfigForm.id) {
        layer.msg("选择编辑的种子", {icon: 2, time: 1000}, function () {
        });
        return;
    }
    let nowTime = commonUtil.getNowTime();
    seedConfigForm.updateTime = nowTime;
    $("input[name='updateTime']").val(nowTime);
    $.post(ctx + "/sys/sysProperty/saveSeedConfig", seedConfigForm, function (data) {
        if (!data.flag) {
            layer.msg(data.msg, {icon: 2, time: 2000}, function () {
            });
            return;
        }
        tableIns.reload();
    });
}
